Page MenuHomePhabricator

Use twn for i18n messages in checkimages.py
Closed, ResolvedPublicFeature

Description

There are several i18n messages in checkimages.py which can be changed to twn support

Event Timeline

Xqt created this task.Apr 5 2019, 8:12 AM
Restricted Application added a project: Pywikibot. · View Herald TranscriptApr 5 2019, 8:12 AM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald Transcript
Xqt triaged this task as Low priority.Apr 5 2019, 8:13 AM
Xqt changed the subtype of this task from "Task" to "Feature Request".

Change 251913 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/i18n@master] [i18n] Additional i18n messages for checkimages.py

https://gerrit.wikimedia.org/r/251913

Change 501538 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [i18n] Use twn messages

https://gerrit.wikimedia.org/r/501538

xSavitar moved this task from Backlog to Needs Review on the Pywikibot board.Apr 17 2019, 11:48 AM

Change 251913 merged by jenkins-bot:
[pywikibot/i18n@master] [i18n] Additional i18n messages for checkimages.py

https://gerrit.wikimedia.org/r/251913

Change 251913 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/i18n@master] [i18n] Additional i18n messages for checkimages.py

https://gerrit.wikimedia.org/r/251913

This change only puts en and qqq on translatewiki, other languages are ignored and (and IIRC overwritten witht the next update). See e.g. Checkimages-doubles-talk-comment where sr is missing.

For all non en/qqq the corresponding subpage would need to e created on translatewiki.net (by now some will have been retranslated by other users so some care must be taken if the subpage exists).

That’s strange because Fuzzybot should port it. Anyway translations from ten should be always accepted and I don’t see any reason to block the patch for untranslations messages.

Xqt added a comment.May 24 2019, 7:44 PM

BTW They where backported, see https://translatewiki.net/w/i.php?title=Pywikibot:Checkimages-doubles-talk-comment/it&action=history for example

Maybe sr is a special page because there are two variants on ten and probably sr cannot be backported to st-ec.
@Nikerabbit ?

Dvorapa added a subscriber: Kizule.May 24 2019, 9:10 PM
Xqt added a comment.EditedMay 25 2019, 8:33 AM

This change only puts en and qqq on translatewiki, other languages are ignored and (and IIRC overwritten witht the next update). See e.g. Checkimages-doubles-talk-comment where sr is missing.

All languages where ported except sr. I created subtask T224331 for this problem. Please be aware that twn sr-ec is mapped to pywikibot's sr.

Change 512465 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/i18n@master] [i18n] recover checkimages/sr.json

https://gerrit.wikimedia.org/r/512465

Change 512465 merged by jenkins-bot:
[pywikibot/i18n@master] [i18n] recover checkimages/sr.json

https://gerrit.wikimedia.org/r/512465

Looking at e.g. https://translatewiki.net/w/i.php?title=Pywikibot:Checkimages-doubles-talk-comment/de&action=history some seen to have been recreated rather than backported. But that might also be a race condition between Fuzzybot and the human editor.

[...] I don’t see any reason to block the patch for untranslations messages.

Since merging it would drop translations which had yet to be backported I would say blocking it on that makes sense.

Xqt added a comment.May 26 2019, 11:10 AM

Looking at e.g. https://translatewiki.net/w/i.php?title=Pywikibot:Checkimages-doubles-talk-comment/de&action=history some seen to have been recreated rather than backported. But that might also be a race condition between Fuzzybot and the human editor.

Pywikibot:Checkimages-doubles-talk-comment/de was never be backported to twn, see: https://phabricator.wikimedia.org/rPWIN644dc6c7f517a3c48a47834ee488970be6cf7557#change-ad9qMwWHf5x1

[...] I don’t see any reason to block the patch for untranslations messages.

Since merging it would drop translations which had yet to be backported I would say blocking it on that makes sense.

The remaining two messages where recovered in i18n repository (https://gerrit.wikimedia.org/r/#/c/pywikibot/i18n/+/512465/1/checkimages/sr.json). We always have fallback enabled on i18n and these messages aren't L10N that is always needed for the script. Cannot follow this conclusion. See also T224331 for the underlying problem.

Change 501538 merged by jenkins-bot:
[pywikibot/core@master] [i18n] Use additional twn messages with checkimages.py

https://gerrit.wikimedia.org/r/501538

Xqt closed this task as Resolved.May 28 2019, 1:52 PM